Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367656 - cmake-fedora-fedpkg: failed when commit is clean
Summary: cmake-fedora-fedpkg: failed when commit is clean
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake-fedora
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 06:39 UTC by Ding-Yi Chen
Modified: 2016-09-06 04:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 04:16:15 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2016-08-17 06:39:47 UTC
Description of problem:
If SRPM does not bring any thing new, which means commit is clean.

Consequently, "fedpkg commit -m" exit with non zero, thus the script fail.

Version-Release number of selected component (if applicable):
cmake-fedora-2.6.0-1

How reproducible:
Always

Steps to Reproduce:
0. You are in the package's fedpkg git checkout directory.
1. fedpkg import <SRPM>
2. git commit -a -m "Committed"
3. cmake-fedora-fedpkg <SRPM>

Actual results:
Could not execute commit: Command '['git', 'commit', '-m', 'Committed', '-a']' returned non-zero exit status 1


Expected results:
Pass without error


Additional info:

Comment 1 Fedora Update System 2016-08-19 08:26:08 UTC
cmake-fedora-2.7.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-32b63c651f

Comment 2 Fedora Update System 2016-08-19 08:26:14 UTC
cmake-fedora-2.7.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-55393e945b

Comment 3 Fedora Update System 2016-08-19 08:26:17 UTC
cmake-fedora-2.7.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c15a0a2951

Comment 4 Fedora Update System 2016-08-19 08:26:21 UTC
cmake-fedora-2.7.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c013941482

Comment 5 Fedora Update System 2016-08-19 08:26:24 UTC
cmake-fedora-2.7.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b42680dbcf

Comment 6 Fedora Update System 2016-08-19 16:50:34 UTC
cmake-fedora-2.7.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c013941482

Comment 7 Fedora Update System 2016-08-19 23:20:21 UTC
cmake-fedora-2.7.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b42680dbcf

Comment 8 Fedora Update System 2016-08-19 23:21:39 UTC
cmake-fedora-2.7.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-55393e945b

Comment 9 Fedora Update System 2016-08-20 02:47:29 UTC
cmake-fedora-2.7.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-32b63c651f

Comment 10 Fedora Update System 2016-08-20 02:48:43 UTC
cmake-fedora-2.7.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c15a0a2951

Comment 11 Fedora Update System 2016-09-01 13:36:15 UTC
cmake-fedora-2.7.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-09-01 16:54:54 UTC
cmake-fedora-2.7.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-01 18:52:35 UTC
cmake-fedora-2.7.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-09-06 03:49:42 UTC
cmake-fedora-2.7.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-06 04:18:19 UTC
cmake-fedora-2.7.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.